2023-10-10 23:59:17 UTC
115 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:d247c105cb1e063d6d8d41df24b7040a7723f0cacfe42bfdb362733c4cbdb363 - 64.88% (74.5 MB)
[#001] sha256:482c63b8cd8e68d4d8a8e8fa6c88840b6838fef1b9646b6ae0496c833c16b44a - 35.12% (40.3 MB)
/bin/sh -c #(nop) ADD file:007645658282bfdcd88fbce82a88519a4c74f1947cc57f7ecf3046b82e7b9f72 in /
2023-10-05 14:18:50 UTC/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) ADD file:ecc29a1455ca1b7c82018555e16e2e802135974523df6748e431f8707e759ddd in /tmp/tls-ca-bundle.pem
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) ADD multi:9a33473242273a576e2a5d09b2e7815c7d301d08445c5f44d11ccfe3ec6a899b in /etc/yum.repos.d/
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.2"
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) ENV container oci
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-10-05 14:18:51 UTC/bin/sh -c rm -rf /var/log/*
2023-10-05 14:18:51 UTC/bin/sh -c mkdir -p /var/log/rhsm
2023-10-05 14:18:52 UTC/bin/sh -c #(nop) ADD file:7176ff4b3364352d06515499fde9d7d7c59830fa9b3256e74568e7d8af14a387 in /root/buildinfo/content_manifests/ubi9-container-9.2-755.1696514207.json
2023-10-05 14:18:52 UTC/bin/sh -c #(nop) ADD file:b4b41be212bc4f9a21c3ed61ee70853f7d572a0324be565848e5f44c02149f1a in /root/buildinfo/Dockerfile-ubi9-9.2-755.1696514207
2023-10-05 14:18:52 UTC/bin/sh -c #(nop) LABEL "release"="755.1696514207" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2023-10-05T14:03:48" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="6b5892a11894993e819f9a93ee1d7aaa80dc3a17" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.2-755.1696514207"
2023-10-05 14:18:52 UTC/bin/sh -c rm -f '/etc/yum.repos.d/odcs-2414311-0ca69.repo' '/etc/yum.repos.d/gitweb-a7836.repo'
2023-10-05 14:18:53 UTC/bin/sh -c rm -f /tmp/tls-ca-bundle.pem
2023-10-05 14:18:55 UTC/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :
2023-10-10 23:57:26 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-10-10 23:57:26 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2023-10-10 23:58:50 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-10-10 23:58:50 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubi9
2023-10-10 23:58:50 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release
2023-10-10 23:58:50 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE
2023-10-10 23:58:50 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2023-10-10 23:58:50 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-10-10 23:59:17 UTC/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz
2023-10-10 23:58:44 UTC
111 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:0b4358393f4f0f4cfb824e73dbb7c4f3d52cc7df9e0eafc2e66b0f47451e9be6 - 65.12% (72.3 MB)
[#001] sha256:9b3f5baa37b37e30c7b04b3980a61b76cbad33aeb4f49d0bf5e88bf92b741d7a - 34.88% (38.7 MB)
/bin/sh -c #(nop) ADD file:e85405c72177b26a4c67c64706b9bd775f9a8023c0934af5ac7f1c6fd8103f2a in /
2023-10-05 14:18:49 UTC/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :
2023-10-05 14:18:49 UTC/bin/sh -c #(nop) ADD file:ecc29a1455ca1b7c82018555e16e2e802135974523df6748e431f8707e759ddd in /tmp/tls-ca-bundle.pem
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) ADD multi:9a33473242273a576e2a5d09b2e7815c7d301d08445c5f44d11ccfe3ec6a899b in /etc/yum.repos.d/
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.2"
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) ENV container oci
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-10-05 14:18:50 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-10-05 14:18:51 UTC/bin/sh -c rm -rf /var/log/*
2023-10-05 14:18:52 UTC/bin/sh -c mkdir -p /var/log/rhsm
2023-10-05 14:18:52 UTC/bin/sh -c #(nop) ADD file:94bdc0d7304f71fb623775a74ba15c03f33d15d492023dd9f64c64150096a777 in /root/buildinfo/content_manifests/ubi9-container-9.2-755.1696514207.json
2023-10-05 14:18:52 UTC/bin/sh -c #(nop) ADD file:f10d737d35928cc6e494fc29f2d9bfe8e20fb8d89d36527158baa3424e0656ee in /root/buildinfo/Dockerfile-ubi9-9.2-755.1696514207
2023-10-05 14:18:52 UTC/bin/sh -c #(nop) LABEL "release"="755.1696514207" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2023-10-05T14:03:48" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="6b5892a11894993e819f9a93ee1d7aaa80dc3a17" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.2-755.1696514207"
2023-10-05 14:18:53 UTC/bin/sh -c rm -f '/etc/yum.repos.d/odcs-2414311-0ca69.repo' '/etc/yum.repos.d/gitweb-a7836.repo'
2023-10-05 14:18:54 UTC/bin/sh -c rm -f /tmp/tls-ca-bundle.pem
2023-10-05 14:18:56 UTC/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :
2023-10-10 23:56:53 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-10-10 23:56:53 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2023-10-10 23:58:15 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-10-10 23:58:15 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubi9
2023-10-10 23:58:15 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release
2023-10-10 23:58:15 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE
2023-10-10 23:58:16 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2023-10-10 23:58:16 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-10-10 23:58:44 UTC/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.